aboutsummaryrefslogtreecommitdiffstats
path: root/systems/fedora
diff options
context:
space:
mode:
authorChristian Trautman <ctrautma@redhat.com>2016-03-21 12:15:23 -0400
committerMaryam Tahhan <maryam.tahhan@intel.com>2016-03-30 14:50:57 +0000
commit9f6805f5a3f17633004325f2ac2b8bca3241128d (patch)
treec12bcbe7783d972a2a1f21afa3d69a24fd481731 /systems/fedora
parentaadc0ab58001b5c32bf641eec4906fd87f59ee49 (diff)
systems: Fix top level build_base_machine script to use ID
Modified top level build_base_machine.sh script to use ID instead of Name from os-release file. Renamed folders to adapt to this change. * Modified ID variable assignment from echo to straight assignment. JIRA: VSPERF-257 Change-Id: I22a7d5a1f191418cbc8fc9fd7d85b013e51b49bc Signed-off-by: Christian Trautman <ctrautma@redhat.com>
Diffstat (limited to 'systems/fedora')
-rwxr-xr-xsystems/fedora/20/build_base_machine.sh66
-rwxr-xr-xsystems/fedora/20/prepare_python_env.sh29
-rwxr-xr-xsystems/fedora/21/build_base_machine.sh72
-rwxr-xr-xsystems/fedora/21/prepare_python_env.sh29
-rwxr-xr-xsystems/fedora/22/build_base_machine.sh74
-rwxr-xr-xsystems/fedora/22/prepare_python_env.sh29
6 files changed, 299 insertions, 0 deletions
diff --git a/systems/fedora/20/build_base_machine.sh b/systems/fedora/20/build_base_machine.sh
new file mode 100755
index 00000000..77d95779
--- /dev/null
+++ b/systems/fedora/20/build_base_machine.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# Build a base machine for Fedora distro
+#
+# Copyright 2015 OPNFV, Intel Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Contributors:
+# Aihua Li, Huawei Technologies.
+# Martin Klozik, Intel Corporation.
+# Abdul Halim, Intel Corporation.
+
+yum -y install $(echo "
+# Make and Compilers
+make
+automake
+gcc
+gcc-c++
+libxml2
+glibc.i686
+kernel-devel
+fuse-libs
+fuse
+fuse-devel
+
+# tools
+curl
+autoconf
+libtool
+libpcap-devel
+libnet
+vim
+wget
+git
+pciutils
+cifs-utils
+socat
+
+# install python packages
+python3
+python3-virtualenv
+python3-setuptools
+python3-pip
+python3-dbus
+python3-devel
+python3-tkinter
+systemd-python3
+python3-libs
+libreport-python3
+abrt-python3
+abrt-addon-python3
+
+# install git-review tool
+git-review
+" | grep -v ^#) \ No newline at end of file
diff --git a/systems/fedora/20/prepare_python_env.sh b/systems/fedora/20/prepare_python_env.sh
new file mode 100755
index 00000000..d0efd687
--- /dev/null
+++ b/systems/fedora/20/prepare_python_env.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Prepare Python environment for vsperf execution on Fedora systems
+#
+# Copyright 2015 OPNFV, Intel Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -d "$VSPERFENV_DIR" ] ; then
+ echo "Directory $VSPERFENV_DIR already exists. Skipping python virtualenv creation."
+ exit
+fi
+
+# enable virtual environment in a subshell, so QEMU build can use python 2.7
+
+(virtualenv-3.3 "$VSPERFENV_DIR"
+source "$VSPERFENV_DIR"/bin/activate
+pip install -r ../requirements.txt
+pip install pylint)
diff --git a/systems/fedora/21/build_base_machine.sh b/systems/fedora/21/build_base_machine.sh
new file mode 100755
index 00000000..0aaa73b6
--- /dev/null
+++ b/systems/fedora/21/build_base_machine.sh
@@ -0,0 +1,72 @@
+#!/bin/bash
+#
+# Build a base machine for Fedora distro
+#
+# Copyright 2015 OPNFV, Intel Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Contributors:
+# Aihua Li, Huawei Technologies.
+# Martin Klozik, Intel Corporation.
+# Abdul Halim, Intel Corporation.
+
+yum -y install $(echo "
+# Make and Compilers
+make
+automake
+gcc
+gcc-c++
+libxml2
+glibc.i686
+kernel-devel
+fuse-libs
+fuse
+fuse-devel
+kernel-modules-extra
+pixman-devel
+openssl-devel
+
+# tools
+curl
+autoconf
+libtool
+libpcap-devel
+libnet
+vim
+wget
+git
+pciutils
+cifs-utils
+socat
+
+# install python packages
+python3
+python3-virtualenv
+python3-setuptools
+python3-pip
+python3-dbus
+python3-devel
+python3-tkinter
+systemd-python3
+python3-libs
+libreport-python3
+abrt-python3
+abrt-addon-python3
+
+# install git-review tool
+git-review
+" | grep -v ^#) || exit 1
+
+# Create hugepage dirs
+mkdir -p /dev/hugepages
diff --git a/systems/fedora/21/prepare_python_env.sh b/systems/fedora/21/prepare_python_env.sh
new file mode 100755
index 00000000..f348c75d
--- /dev/null
+++ b/systems/fedora/21/prepare_python_env.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Prepare Python environment for vsperf execution on Fedora systems
+#
+# Copyright 2015 OPNFV, Intel Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -d "$VSPERFENV_DIR" ] ; then
+ echo "Directory $VSPERFENV_DIR already exists. Skipping python virtualenv creation."
+ exit
+fi
+
+# enable virtual environment in a subshell, so QEMU build can use python 2.7
+
+(virtualenv-3.4 "$VSPERFENV_DIR" || exit 1
+source "$VSPERFENV_DIR"/bin/activate || exit 1
+pip install -r ../requirements.txt || exit 1
+pip install pylint || exit 1)
diff --git a/systems/fedora/22/build_base_machine.sh b/systems/fedora/22/build_base_machine.sh
new file mode 100755
index 00000000..a909e284
--- /dev/null
+++ b/systems/fedora/22/build_base_machine.sh
@@ -0,0 +1,74 @@
+#!/bin/bash
+#
+# Build a base machine for Fedora 22
+#
+# Copyright 2015 OPNFV, Intel Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Contributors:
+# Aihua Li, Huawei Technologies.
+# Martin Klozik, Intel Corporation.
+# Abdul Halim, Intel Corporation.
+
+dnf -y install $(echo "
+# Make and Compilers
+make
+automake
+gcc
+gcc-c++
+libxml2
+glibc.i686
+glib2-devel
+kernel-devel
+fuse-libs
+fuse
+fuse-devel
+kernel-modules-extra
+pixman-devel
+openssl-devel
+
+# tools
+curl
+autoconf
+libtool
+libpcap-devel
+libnet
+vim
+wget
+git
+pciutils
+cifs-utils
+socat
+sysstat
+
+# install python packages
+python3
+python3-virtualenv
+python3-setuptools
+python3-pip
+python3-dbus
+python3-devel
+python3-tkinter
+systemd-python3
+python3-libs
+libreport-python3
+abrt-python3
+abrt-addon-python3
+
+# install git-review tool
+git-review
+" | grep -v ^#)
+
+# Create hugepage dirs
+mkdir -p /dev/hugepages \ No newline at end of file
diff --git a/systems/fedora/22/prepare_python_env.sh b/systems/fedora/22/prepare_python_env.sh
new file mode 100755
index 00000000..0b2c5a32
--- /dev/null
+++ b/systems/fedora/22/prepare_python_env.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+#
+# Prepare Python environment for vsperf execution on Fedora 22 systems.
+#
+# Copyright 2015 OPNFV, Intel Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -d "$VSPERFENV_DIR" ] ; then
+ echo "Directory $VSPERFENV_DIR already exists. Skipping python virtualenv creation."
+ exit
+fi
+
+# enable virtual environment in a subshell, so QEMU build can use python 2.7
+
+(virtualenv-3.4 "$VSPERFENV_DIR"
+source "$VSPERFENV_DIR"/bin/activate
+pip install -r ../requirements.txt
+pip install pylint) \ No newline at end of file